<?php 

// ini_set('display_errors', 1);
// ini_set('display_errors', 1);
// error_reporting(1);

require_once('..'.DIRECTORY_SEPARATOR. '..'.DIRECTORY_SEPARATOR . "config.php");

$cs = new cs;

$request = $_POST;

if (isset($request) && !empty($request)) {

    $response = [];   

    try {
  	    
  	    $request['exceptions'] = ['method', 'url', 'cadastrarTeste'];
	    $Validator = new Validator($request);
	    
	    //PARAMS PREDEFINIDOS 
	    $request['id']             = strtotime('now');
	    $request['status']         = 'teste';
	    // Vencimento data atual +6h
	    $request['vencimento']     = date('Ymd', strtotime('+8 hour'));
	    // Teste_ativado igual data atual
	    $request['teste_ativado']  = date('Ymd', strtotime('now'));
	    $request['obs']            = $request['notas'] = 'Cadastro IPTV - TESTE';
	    $request['id_gerenciador'] = 1;
	    $request['iptv_url']       = $cs->getListUrl($request['login'], $request['senha']);
	    $request['is_trial']       = 0;
	    $request['max_con']        = 1;
	    
        //Quando criado o usuario é retornado o id dele 
	    $response = $cs->createUsuario($request);
	    $cs->con->next_result();	
	    $response = $cs->sendEmailUser('cadastro', $response['id']);
 
        $request['text'] = "Bem vindo.\n\nSegue abaixo seus dados de acesso \n\nLogin: {{login}} \nSenha: {{senha}} \nLista M3u: {{iptv_url}} \n\nDuvidas acesse https://spacetv.info"; 
      
 	    //Recebe dois paramentros, o texto definido e o numero do celular o qual o usuario cadastrou.
 	    $cs->QueryString($request); //Retorno da mensagem que foi enviada ao usuario

	    echo json_encode([ 
	        'success' => true, 
	        'class'   => 'alert-success', 
	        'text'    => 'Usuario cadastrado com sucesso!',
	        'data'    => $response 
	    ]); 	

    } catch (Exception $e) {
	  	echo json_encode([ 
	        'success' => false, 
	        'class'   => 'alert-danger', 
	        'text'    => $e->getMessage()
	    ]); 
    }  
}
